@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@100;400&family=Roboto&display=swap');

/* Tag */

body {
    font-size: 10px;
    font-family: 'Roboto', sans-serif;
    background-color: hsl(235, 18%, 26%);
    display: grid;
    place-items: center;
    height: 100vh;
}

h1 {
    text-align: center;
}


input {
    padding: 5%;
    margin-bottom: 3%;
    border-radius: 10px;
    width: -webkit-fill-available;
}


/* Class */
.panel {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 700px;
    background-color: hsl(0, 0%, 100%);
    border-radius: 4%;
}

.subPanel-1 {
    margin: 4%;
}

.subPanel-2 {
    margin: 2%;
}

.container {
    padding-top: 2%;
    padding-bottom: 2%;
}

.list {
    display: flex;
    align-items: center;
    padding: 7px 0px 7px 0px;
}

.p-list {
    padding-left: 10px;
}

.image {
    width: 100%;
    height: 100%;
    content: url("assets/images/illustration-sign-up-desktop.svg");
}

.mail-title {
    font-size: 87%;
    font-weight: bold;
    margin-left: 0%;
    padding: 10px 0px 13px 0px;
    /* padding: 5px 0px 5px 0px; */
}

.placeholder-mail {
    border-color: grey;
    color: red;
}

.btn-submit {
    background-color: #232741;
    color: white;
    width: -webkit-fill-available;
    padding: 12px;
    border-radius: 7px;
    border: none;
    cursor: pointer;
}

.btn-submit:hover {
    background-color: #FF6740;
}

.container-mail {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.error {
    color: red;
}

.placeholder-mail-error {
    color: #D66861;
    background-color: #FFE8E6;
    border-color: #F5A09D;
}

.panel-success-state {
    width: 400px;
    height: 450px;
    background-color: white;
    display: flex;
    flex-direction: column;
    border-radius: 5%;
    padding: 3%;
}

.container-success-state {
    padding: 5%;
    padding-bottom: 0%;
}

.title-success-state {
    font-size: 49px;
    font-weight: bold;
}

.description-success-state {
    font-size: 15px;
}

.container-success-state {
    font-family: sans-serif;
}

@media only screen and (max-width: 600px) {
    /* Tag */
    body {
        font-size: 17px;
    }

    h1 {
        text-align: start;
    }

    p {
        margin: 0%;
        padding: 0%;
    }

    /* Class */
    .panel {
        display: flex;
        flex-direction: column-reverse;
        width: 400px;
        height: auto;
        padding: 0%;
    }

    .panel-success-state {
        background-color: white;
        width: 400px;
        height: auto;
        display: flex;
        flex-direction: column;
        padding: 0%;
    }

    .list {
        align-items: flex-start;
    }

    .core-success-state {
        padding-top: 200px;
        padding-bottom: 200px;
    }
    
    .description-success-state {
        font-size: 17px;
    }

    .btn-success-state {
        padding-top: 200px;
    }

    .mail-title {
        font-size: 87%;
        font-weight: bold;
        margin-left: 0%;
        padding: 10px 0px 13px 0px;
    }

    .image {
        content: url("assets/images/illustration-sign-up-mobile.svg");
        width: 100%;
        height: 100%;
    }

    .subPanel-1 {
        padding: 3%;
    }

    .subPanel-2 {
        margin: 0%;
    }

    .description {
        margin: 0;
    }

}